Mandriva Linux Security Advisory : exiv2 (MDVSA-2008:119)

Medium Nessus Plugin ID 36938

Synopsis

The remote Mandriva Linux host is missing one or more security updates.

Description

A flaw was found in exiv2 that would cause exiv2, or applications linked to libexiv2, to crash on image files with certain metadata in the image (CVE-2008-2696).

The updated packages have been patched to prevent this issue.

Solution

Update the affected packages.

Plugin Details

Severity: Medium

ID: 36938

File Name: mandriva_MDVSA-2008-119.nasl

Version: $Revision: 1.11 $

Type: local

Published: 2009/04/23

Modified: 2014/10/28

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSSv2

Base Score: 4.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:N/A:P

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:exiv2, p-cpe:/a:mandriva:linux:lib64exiv2, p-cpe:/a:mandriva:linux:lib64exiv2-devel, p-cpe:/a:mandriva:linux:lib64exiv2_2, p-cpe:/a:mandriva:linux:lib64exiv2_2-devel, p-cpe:/a:mandriva:linux:libexiv2, p-cpe:/a:mandriva:linux:libexiv2-devel, p-cpe:/a:mandriva:linux:libexiv2_2, p-cpe:/a:mandriva:linux:libexiv2_2-devel, cpe:/o:mandriva:linux:2007.1, cpe:/o:mandriva:linux:2008.0, cpe:/o:mandriva:linux:2008.1

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Patch Publication Date: 2008/06/20

Reference Information

CVE: CVE-2008-2696

MDVSA: 2008:119

CWE: 189